curl --request GET \
--url https://api.instantly.ai/api/v2/custom-tags \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/custom-tags"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/custom-tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/custom-tags")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/custom-tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/custom-tags"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "01a082d0-3333-74e0-8bc8-09cb570c4386",
"timestamp_created": "2026-09-08T20:57:57.811Z",
"timestamp_updated": "2026-09-08T20:57:57.811Z",
"organization_id": "01a082d0-3333-74e0-8bc8-09ccca7de543",
"label": "Important",
"description": "Used for marking important items"
}
],
"next_starting_after": "01a082d0-83b7-799e-b589-f7f24d139ce7"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}List custom tag
Requires one of the following scopes: custom_tags:read, custom_tags:all, all:read, all:all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of items to return
1 <= x <= 10010
The ID of the last item in the previous page - used for pagination. You can use the value of the next_starting_after field from the previous response.
"01956fbd-0eb1-72db-a565-82977a586084"
The search query to filter custom tags.
"Important"
The list of resource ids to filter custom tags by. A resource id is the id of an account or a campaign.
"id1,id2,id3"
The list of tag ids to filter custom tags by.
"id1,id2,id3"
Response
The list of Custom Tag
The list of Custom Tag
Show child attributes
Show child attributes
The filter for getting the next items after this one, this could either be a UUID, a timestamp, on an email depending on the specific API
"01a082d0-83b7-799e-b589-f7f24d139ce7"
"2026-09-08T20:58:18.423Z"